ConnectionSet.Connection (JGraph v5.12.4.2 API Specification)
Keywords: org.jgraph.graph.ConnectionSet.Connection class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JGraph v5.12.4.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jgraph.graph
Class ConnectionSet.Connection

    java.lang.Object
      org.jgraph.graph.ConnectionSet.Connection

All Implemented Interfaces:
  Serializable

Enclosing class:
  ConnectionSet

public static class ConnectionSet.Connection
extends Object
implements Serializable

Object that represents the connection between an edge and a port.

See Also:
  Serialized Form

Field Summary
`protected Object` | `edge` The edge that will be connected to the port.
`protected boolean` | `isSource` Indicates if `port` is the source of `edge`.
`protected Object` | `port` The port that will be connected to the edge.

Constructor Summary
`ConnectionSet.Connection()`
`ConnectionSet.Connection(Object edge, Object port, boolean isSource)` Constructs a new source or target connection between `edge` and `port` based on the value of `source`

Method Summary
`boolean` | `equals(Object obj)` Two connections are equal if they represent the source or target of the same edge.
`Object` | `getEdge()` Returns the edge of the connection.
`Object` | `getPort()` Returns the port of the connection.
`int` | `hashCode()` Ensure equality of hashCode wrt equals().
`boolean` | `isSource()` Returns `true` if `port` is the source of `edge`.
`void` | `setEdge(Object object)`
`void` | `setPort(Object object)`
`void` | `setSource(boolean b)`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### edge

    protected Object edge

  The edge that will be connected to the port.

### port

    protected Object port

  The port that will be connected to the edge.

### isSource

    protected boolean isSource

  Indicates if `port` is the source of `edge`.

Constructor Detail

### ConnectionSet.Connection

    public ConnectionSet.Connection()

### ConnectionSet.Connection

    public ConnectionSet.Connection(Object edge,
                                    Object port,
                                    boolean isSource)

  Constructs a new source or target connection between `edge` and `port` based on the value of `source`

Method Detail

### getEdge

    public Object getEdge()

  Returns the edge of the connection.

### getPort

    public Object getPort()

  Returns the port of the connection.

### isSource

    public boolean isSource()

  Returns `true` if `port` is the source of `edge`.

### equals

    public boolean equals(Object obj)

  Two connections are equal if they represent the source or target of the same edge. That is, if

  c1.edge == c2.edge && c1.isSource == c2.isSource.

### hashCode

    public int hashCode()

  Ensure equality of hashCode wrt equals().

### setEdge

    public void setEdge(Object object)

  Parameters:
    `object` -

### setSource

    public void setSource(boolean b)

  Parameters:
    `b` -

### setPort

    public void setPort(Object object)

  Parameters:
    `object` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JGraph v5.12.4.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) 2001-2008 Gaudenz Alder. All rights reserved.